namespace MyOffice.Data.Repositories.Motion;

using Models.Motions;

public interface IMotionCategoryRepository
{
	List<MotionCategory> GetAll(Guid userId);
	bool Add(MotionCategory accountCategory);
	MotionCategory? Get(Guid userId, Guid id);
	bool Update(MotionCategory accountCategory);
	bool Remove(MotionCategory accountCategory);
}